Update an existing contact.

View as Markdown

Authentication

X-API-Keystring

API Key authentication. Generate your API key in the Gail Portal under General > Integrations > API Keys.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the contact to update.

Request

The updated contact details.
firstNamestring or nullOptional
lastNamestring or nullOptional
emailslist of strings or nullOptional
phoneNumberslist of objects or nullOptional
businessNamestring or nullOptional
additionalDatamap from strings to any or nullOptional

Response

OK
idstringformat: "uuid"
statusstring or null
firstNamestring or null
lastNamestring or null
emailslist of strings or null
phoneNumberslist of objects or null
businessNamestring or null
sourcestring or null
additionalDatamap from strings to any or null
contactListIdslist of strings or null

Errors

400
Bad Request Error
404
Not Found Error